#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.20.1
visibility:           public
id:                   hledger-lib-1.20.1-A4xKyRPh5MQCXcXTjBglfg
key:                  hledger-lib-1.20.1-A4xKyRPh5MQCXcXTjBglfg
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  ad318348e7c2ebd50b5db727e6a47288
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-8.10.3/site-local/hledger-lib-1.20.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/hledger-lib-1.20.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/hledger-lib-1.20.1
hs-libraries:         HShledger-lib-1.20.1-A4xKyRPh5MQCXcXTjBglfg
depends:
    Decimal-0.5.1-1gPYjseNm0CAnkwSkdGlBv
    Glob-0.10.1-Kbly70zugN6GN9aNyMwkfk
    aeson-1.5.4.1-2CAWo3gcbCSCjWuZ8mOFKc
    aeson-pretty-0.8.8-8AjgkSgjd0jFk0gw87bSdF
    ansi-terminal-0.11-7NN3fMvbkJ87kLcQKvXN8S array-0.5.4.0
    base-4.14.1.0 base-compat-batteries-0.11.2-DwtvnlG1xRbB4CwQsZI3SO
    blaze-markup-0.8.2.7-9sMS9sFEPsZ3VpOkcNgn7I bytestring-0.10.12.0
    call-stack-0.2.0-1Bicsj1gQrKCmn9kZBvIe8
    cassava-0.5.2.0-EqVDRR7XHiR6N9aUvIWkWH
    cassava-megaparsec-2.0.2-JEpezgbDS8q4rh7ZLNjb4R
    cmdargs-0.10.20-2pbK0xjyKWW1JFcGNWMDNe containers-0.6.2.1
    data-default-0.7.1.1-LqGM1jeemF33NXBVNXVegn directory-1.3.6.0
    extra-1.7.9-AbslQZHhULfGhjSCwI9dbf
    file-embed-0.0.13.0-w1EA2BlVGr45s6RdXSQRQ filepath-1.4.2.1
    hashtables-1.2.4.1-LvFSVnh2m7HFlMlvItTXpe
    megaparsec-9.0.1-7vExe5dm5yhBM6RklxpErg mtl-2.2.2
    old-time-1.1.0.3-4WAXseRXxLRKCRu471UUPK parsec-3.1.14.0
    parser-combinators-1.2.1-BgKMLJR8mPH8EvrPvvjrd8
    pretty-simple-4.0.0.0-FgmZpyntgOW3q6KgRZMH7v
    regex-tdfa-1.3.1.0-5le7X06RZCS4yIE6HfZvVg
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    split-0.2.3.4-DVVqkKTtJSC3EV6Cy8sqE0
    tabular-0.2.2.8-CBujZAWqvuoASG1Z76xmdo
    tasty-1.3.1-AkdG1ZeRCy8BtEou1RoTzv
    tasty-hunit-0.10.0.3-IzkeqPhm8zpJTDG2iBNKEo
    template-haskell-2.16.0.0 text-1.2.4.1 time-1.9.3
    timeit-2.0-9cuf7StXLBAKHvaFJ7TqTD transformers-0.5.6.2
    uglymemo-0.1.0.1-8jnmvCxUgD63i0ga11QOlD
    unordered-containers-0.2.13.0-GkweYkpoMGZ8mML63K9Z6H
    utf8-string-1.0.1.1-JbA4xmu2XMa1nQo1Lcnh9T

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

